MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::ResourceImageSet Class Reference

`#include <MyGUI_ResourceImageSet.h>`

Inheritance diagram for MyGUI::ResourceImageSet:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceImageSet | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
ImageIndexInfo | getIndexInfo (const std::string &_group, const std::string &_index)
ImageIndexInfo | getIndexInfo (size_t _group, const std::string &_index)
ImageIndexInfo | getIndexInfo (const std::string &_group, size_t _index)
ImageIndexInfo | getIndexInfo (size_t _group, size_t _index)
ImageIndexInfo | getIndexInfo (const IntSize &_group, size_t _index)
ImageIndexInfo | getIndexInfo (const IntSize &_group, const std::string &_index)
EnumeratorGroupImage | getEnumerator () const
void | AddGroupImage (const GroupImage &_group)
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Friends
class | GenericFactory< ResourceImageSet >

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 26 of file MyGUI_ResourceImageSet.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::ResourceImageSet::Base

Definition at line 31 of file MyGUI_ResourceImageSet.h.

typedef ResourceImageSet MyGUI::ResourceImageSet::RTTIBase

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## Member Function Documentation

void MyGUI::ResourceImageSet::AddGroupImage | ( | const GroupImage & | _group | ) |

Definition at line 217 of file MyGUI_ResourceImageSet.cpp.

static const std::string& MyGUI::ResourceImageSet::getClassTypeName | ( |  | ) |
| inline static

Definition at line 31 of file MyGUI_ResourceImageSet.h.

EnumeratorGroupImage MyGUI::ResourceImageSet::getEnumerator | ( |  | ) | const

Get groups Enumerator

Definition at line 212 of file MyGUI_ResourceImageSet.cpp.

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const std::string & | _group,
|  | const std::string & | _index
| ) |  |

Definition at line 73 of file MyGUI_ResourceImageSet.cpp.

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | size_t | _group,
|  | const std::string & | _index
| ) |  |

Definition at line 89 of file MyGUI_ResourceImageSet.cpp.

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const std::string & | _group,
|  | size_t | _index
| ) |  |

Definition at line 104 of file MyGUI_ResourceImageSet.cpp.

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | size_t | _group,
|  | size_t | _index
| ) |  |

Definition at line 119 of file MyGUI_ResourceImageSet.cpp.

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const IntSize & | _group,
|  | size_t | _index
| ) |  |

Definition at line 133 of file MyGUI_ResourceImageSet.cpp.

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const IntSize & | _group,
|  | const std::string & | _index
| ) |  |

Definition at line 148 of file MyGUI_ResourceImageSet.cpp.

virtual const std::string& MyGUI::ResourceImageSet::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::IResource.

Definition at line 31 of file MyGUI_ResourceImageSet.h.

template<typename Type >

bool MyGUI::ResourceImageSet::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 31 of file MyGUI_ResourceImageSet.h.

virtual bool MyGUI::ResourceImageSet::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## Friends And Related Function Documentation

friend class GenericFactory< ResourceImageSet >
| friend

Definition at line 29 of file MyGUI_ResourceImageSet.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceImageSet.h
- MyGUI_ResourceImageSet.cpp